net.sourceforge.pmd.lang.jsp.ast

## Class StartAndEndTagMismatchException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - net.sourceforge.pmd.lang.ast.ParseException
        - - net.sourceforge.pmd.lang.jsp.ast.ParseException
          - - net.sourceforge.pmd.lang.jsp.ast.SyntaxErrorException
            - - net.sourceforge.pmd.lang.jsp.ast.StartAndEndTagMismatchException

All Implemented Interfaces:
  Serializable

    public class StartAndEndTagMismatchException
    extends SyntaxErrorException

Author:
  Pieter_Van_Raemdonck

  TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates
See Also:
  Serialized Form

### Field Summary

Fields
`static String` `START_END_TAG_MISMATCH_RULE_NAME`

### Fields inherited from class net.sourceforge.pmd.lang.jsp.ast.ParseException

`currentToken, eol, expectedTokenSequences, specialConstructor, tokenImage`

### Constructor Summary

Constructors
Constructor and Description
`StartAndEndTagMismatchException(int startLine, int startColumn, String startTagName, int endLine, int endColumn, String endTagName)` Public constructor.

### Method Summary

Methods
`int` `getEndColumn()`
`int` `getEndLine()`
`String` `getMessage()` This method has the standard behavior when this object has been created using the standard constructors.
`int` `getStartColumn()`
`int` `getStartLine()`

### Methods inherited from class net.sourceforge.pmd.lang.jsp.ast.SyntaxErrorException

`getLine, getRuleName`

### Methods inherited from class net.sourceforge.pmd.lang.jsp.ast.ParseException

`add_escapes`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### START_END_TAG_MISMATCH_RULE_NAME

    public static final String START_END_TAG_MISMATCH_RULE_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### StartAndEndTagMismatchException

    public StartAndEndTagMismatchException(int startLine,
                                   int startColumn,
                                   String startTagName,
                                   int endLine,
                                   int endColumn,
                                   String endTagName)

Public constructor.

Parameters:
  `startLine` -
  `startColumn` -
  `startTagName` -
  `endLine` -
  `endColumn` -
  `endTagName` -

### Method Detail

#### getEndColumn

    public int getEndColumn()

Returns:
  Returns the endColumn.

#### getEndLine

    public int getEndLine()

Returns:
  Returns the endLine.

#### getStartColumn

    public int getStartColumn()

Returns:
  Returns the startColumn.

#### getStartLine

    public int getStartLine()

Returns:
  Returns the startLine.

#### getMessage

    public String getMessage()

Description copied from class: `ParseException`
This method has the standard behavior when this object has been created using the standard constructors. Otherwise, it uses "currentToken" and "expectedTokenSequences" to generate a parse error message and returns it. If this object has been created due to a parse error, and you do not catch it (it gets thrown from the parser), then this method is called during the printing of the final stack trace, and hence the correct error message gets displayed.

Overrides:
  `getMessage` in class `ParseException`